#ifndef EXTDLL_H
#define EXTDLL_H



#ifdef _DEBUG
#define DEBUG 1
#endif


#pragma warning(disable : 4244)	
#pragma warning(disable : 4305)		
#pragma warning(disable : 4201)	
#pragma warning(disable : 4514)		
#pragma warning(disable : 4100)		

#ifndef __linux__

#define WIN32_LEAN_AND_MEAN
#define NOWINRES
#define NOSERVICE
#define NOMCX
#define NOIME
#include <windows.h>
 

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
 
#else
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <ctype.h>
#include <limits.h>
 
#define MAX_PATH PATH_MAX
#define ULONG ulong
#define FALSE 0
#define TRUE  1
 
#ifndef max
#define max(a,b)    (((a) > (b)) ? (a) : (b))
#endif
 
#ifndef min
#define min(a,b)    (((a) < (b)) ? (a) : (b))
#endif
 
#define itoa(a,b,c) sprintf(b, "%d", a)
 
typedef unsigned char BYTE;
#endif


typedef int	func_t;					
typedef int	string_t;				
typedef float vec_t;				


#include "vector.h"


#define vec3_t Vector


#include "const.h"
#include "progdefs.h"
#include "edict.h"

#include "eiface.h"

#include "cdll_dll.h"

#endif 
