
#ifndef SHAKE_H
#define SHAKE_H

extern int gmsgShake;

typedef struct
{
	unsigned short	amplitude;		
	unsigned short 	duration;		
	unsigned short	frequency;		
} ScreenShake;

extern void V_ApplyShake( float *origin, float *angles, float factor );
extern void V_CalcShake( void );
extern int V_ScreenShake( const char *pszName, int iSize, void *pbuf );
extern int V_ScreenFade( const char *pszName, int iSize, void *pbuf );



extern int gmsgFade;

#define FFADE_IN			0x0000		
#define FFADE_OUT			0x0001		
#define FFADE_MODULATE		0x0002		
#define FFADE_STAYOUT		0x0004		


typedef struct
{
	unsigned short 	duration;		
	unsigned short 	holdTime;		
	short			fadeFlags;		
	byte			r, g, b, a;		
} ScreenFade;

#endif		

