void FSDiscoball(edict_t *pEntity)
{
	if(FStrEq(Cmd_Argv(0), "fs_discoball"))
	{
	   	edict_t *pAM;
	    pAM = CREATE_NAMED_ENTITY(MAKE_STRING("info_target"));
        DispatchSpawn(pAM);
        pAM->v.origin = pEntity->v.origin;
        pAM->v.angles = pEntity->v.v_angle;
        pAM->v.angles.x = 0;
        pAM->v.angles.z = 0;
        UTIL_MakeVectors(pEntity->v.v_angle);
        pAM->v.velocity = pEntity->v.velocity * 0 + gpGlobals->v_forward * 0 + Vector(0,0,0);
        pAM->v.euser1 = pEntity;
        pAM->v.owner = pEntity;
        pAM->v.takedamage = DAMAGE_NO;
        pAM->v.health = 100000;
        pAM->v.solid = SOLID_NOT;
        pAM->v.team = pEntity->v.team;
		SET_MODEL(pAM, "models/w_flare.mdl");
		UTIL_SetSize(VARS(pAM), Vector(-16, -16, 0), Vector(16, 16, 16));
        pAM->v.classname = MAKE_STRING("FS_discoball");
        pAM->v.nextthink = gpGlobals->time;
		pAM->v.effects |= EF_NODRAW; 
		EMIT_SOUND(pAM, CHAN_ITEM, "weapons/electro5.wav", 1, ATTN_NORM);
	}
}
